## org.bn.compiler.parser.model
Class NamedConstraint

    java.lang.Object
      org.bn.compiler.parser.model.NamedConstraint

    public class NamedConstraint

extends java.lang.Object

Field Summary
`AsnConstraint` `constraint`
`boolean` `isAbsentKw`
`boolean` `isConstraint`
`boolean` `isOptionalKw`
`boolean` `isPresentKw`
`java.lang.String` `name`

Constructor Summary
`NamedConstraint()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### constraint

    public AsnConstraint constraint

### isAbsentKw

    public boolean isAbsentKw

### isConstraint

    public boolean isConstraint

### isOptionalKw

    public boolean isOptionalKw

### isPresentKw

    public boolean isPresentKw

### name

    public java.lang.String name

Constructor Detail

### NamedConstraint

    public NamedConstraint()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`